Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx
Class JXTitledSeparator

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.jdesktop.swingx.JXPanel
                          org.jdesktop.swingx.JXTitledSeparator

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.Scrollable

    public class JXTitledSeparator

extends JXPanel

A simple horizontal separator that contains a title.

JXTitledSeparator allows you to specify the title via the `setTitle(java.lang.String)` method. The title alignment may be specified by using the `setHorizontalAlignment(int)` method, and accepts all the same arguments as the `JLabel.setHorizontalAlignment(int)` method.

In addition, you may specify an Icon to use with this separator. The icon will appear "leading" the title (on the left in left-to-right languages, on the right in right-to-left languages). To change the position of the title with respect to the icon, call `setHorizontalTextPosition(int)`.

The default font and color of the title comes from the `LookAndFeel`, mimicking the font and color of the `TitledBorder`

Here are a few example code snippets:

      //create a plain separator
      JXTitledSeparator sep = new JXTitledSeparator();
      sep.setTitle("Customer Info");

      //create a separator with an icon
      sep = new JXTitledSeparator();
      sep.setTitle("Customer Info");
      sep.setIcon(new ImageIcon("myimage.png"));

      //create a separator with an icon to the right of the title,
      //center justified
      sep = new JXTitledSeparator();
      sep.setTitle("Customer Info");
      sep.setIcon(new ImageIcon("myimage.png"));
      sep.setHorizontalAlignment(SwingConstants.CENTER);
      sep.setHorizontalTextPosition(SwingConstants.TRAILING);

Author:
  rbair
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JXTitledSeparator()` Creates a new instance of `JXTitledSeparator`.
`JXTitledSeparator(java.lang.String title)` Creates a new instance of `JXTitledSeparator` with the specified title.
`JXTitledSeparator(java.lang.String title, int horizontalAlignment)` Creates a new instance of `JXTitledSeparator` with the specified title and horizontal alignment.
`JXTitledSeparator(java.lang.String title, int horizontalAlignment, javax.swing.Icon icon)` Creates a new instance of `JXTitledSeparator` with the specified title, icon, and horizontal alignment.

Method Summary
`java.awt.ComponentOrientation` | `getComponentOrientation()`
`int` | `getHorizontalAlignment()` Returns the alignment of the title contents along the X axis.
`int` | `getHorizontalTextPosition()` Returns the horizontal position of the title's text, relative to the icon.
`javax.swing.Icon` | `getIcon()` Returns the graphic image (glyph, icon) that the `JXTitledSeparator` displays.
`java.lang.String` | `getTitle()` Gets the title.
`void` | `setComponentOrientation(java.awt.ComponentOrientation o)`
`void` | `setFont(java.awt.Font font)`
`void` | `setForeground(java.awt.Color foreground)`
`void` | `setHorizontalAlignment(int alignment)` Sets the alignment of the title along the X axis.
`void` | `setHorizontalTextPosition(int position)` Sets the horizontal position of the title's text, relative to the icon.
`void` | `setIcon(javax.swing.Icon icon)` Defines the icon this component will display.
`void` | `setTitle(java.lang.String title)` Sets the title for the separator.
`protected void` | `updateTitle()` Implementation detail.

Methods inherited from class org.jdesktop.swingx.JXPanel
`getAlpha, getBackgroundPainter, getEffectiveAlpha, getPainterChangeListener, getPreferredScrollableViewportSize, getScrollableBlockIncrement, getScrollableHeightHint, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement, getScrollableWidthHint, isInheritAlpha, isPaintBorderInsets, paint, paintComponent, setAlpha, setBackground, setBackgroundPainter, setInheritAlpha, setPaintBorderInsets, setScrollableHeightHint, setScrollableTracksViewportHeight, setScrollableTracksViewportWidth, setScrollableWidthHint`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JXTitledSeparator

    public JXTitledSeparator()

  Creates a new instance of `JXTitledSeparator`. The default title is simply an empty string. Default justification is `LEADING`, and the default horizontal text position is `TRAILING` (title follows icon)

### JXTitledSeparator

    public JXTitledSeparator(java.lang.String title)

  Creates a new instance of `JXTitledSeparator` with the specified title. Default horizontal alignment is `LEADING`, and the default horizontal text position is `TRAILING` (title follows icon)

### JXTitledSeparator

    public JXTitledSeparator(java.lang.String title,
                             int horizontalAlignment)

  Creates a new instance of `JXTitledSeparator` with the specified title and horizontal alignment. The default horizontal text position is `TRAILING` (title follows icon)

### JXTitledSeparator

    public JXTitledSeparator(java.lang.String title,
                             int horizontalAlignment,
                             javax.swing.Icon icon)

  Creates a new instance of `JXTitledSeparator` with the specified title, icon, and horizontal alignment. The default horizontal text position is `TRAILING` (title follows icon)

Method Detail

### updateTitle

    protected void updateTitle()

  Implementation detail. Handles updates of title color and font on LAF change. For more details see swingx#451.

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title for the separator. This may be simple html, or plain text.

  Parameters:
    `title` - the new title. Any string input is acceptable

### getTitle

    public java.lang.String getTitle()

  Gets the title.

  Returns:
    the title being used for this `JXTitledSeparator`. This will be the raw title text, and so may include html tags etc if they were so specified in #setTitle.

### setHorizontalAlignment

    public void setHorizontalAlignment(int alignment)

  Sets the alignment of the title along the X axis. If leading, then the title will lead the separator (in left-to-right languages, the title will be to the left and the separator to the right). If centered, then a separator will be to the left, followed by the title (centered), followed by a separator to the right. Trailing will have the title on the right with a separator to its left, in left-to-right languages.

  LEFT and RIGHT always position the text left or right of the separator, respectively, regardless of the language orientation.

  Parameters:
    `alignment` - One of the following constants defined in `SwingConstants`: `LEFT`, `CENTER`, `RIGHT`, `LEADING` (the default) or `TRAILING`.
  Throws:
    `java.lang.IllegalArgumentException` - if the alignment does not match one of the accepted inputs.
  See Also:
    `SwingConstants`, `getHorizontalAlignment()`

### getHorizontalAlignment

    public int getHorizontalAlignment()

  Returns the alignment of the title contents along the X axis.

  Returns:
    The value of the horizontalAlignment property, one of the following constants defined in `SwingConstants`: `LEFT`, `CENTER`, `RIGHT`, `LEADING` or `TRAILING`.
  See Also:
    `setHorizontalAlignment(int)`, `SwingConstants`

### setHorizontalTextPosition

    public void setHorizontalTextPosition(int position)

  Sets the horizontal position of the title's text, relative to the icon.

  Parameters:
    `position` - One of the following constants defined in `SwingConstants`: `LEFT`, `CENTER`, `RIGHT`, `LEADING`, or `TRAILING` (the default).
  Throws:
    `java.lang.IllegalArgumentException` - if the position does not match one of the accepted inputs.

### getHorizontalTextPosition

    public int getHorizontalTextPosition()

  Returns the horizontal position of the title's text, relative to the icon.

  Returns:
    One of the following constants defined in `SwingConstants`: `LEFT`, `CENTER`, `RIGHT`, `LEADING` or `TRAILING`.
  See Also:
    `SwingConstants`

### getComponentOrientation

    public java.awt.ComponentOrientation getComponentOrientation()

  Overrides:
    `getComponentOrientation` in class `java.awt.Component`

### setComponentOrientation

    public void setComponentOrientation(java.awt.ComponentOrientation o)

  Overrides:
    `setComponentOrientation` in class `java.awt.Component`

### setIcon

    public void setIcon(javax.swing.Icon icon)

  Defines the icon this component will display. If the value of icon is null, nothing is displayed.

  The default value of this property is null.

  See Also:
    `setHorizontalTextPosition(int)`, `getIcon()`

### getIcon

    public javax.swing.Icon getIcon()

  Returns the graphic image (glyph, icon) that the `JXTitledSeparator` displays.

  Returns:
    an Icon
  See Also:
    `setIcon(javax.swing.Icon)`

### setForeground

    public void setForeground(java.awt.Color foreground)

  Overrides:
    `setForeground` in class `javax.swing.JComponent`

### setFont

    public void setFont(java.awt.Font font)

  Overrides:
    `setFont` in class `javax.swing.JComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.